From c368c383e0ea946f56998b848952ba6c9e06bc72 Mon Sep 17 00:00:00 2001
From: Sinny Kumari <sinny@redhat.com>
Date: Oct 30 2018 11:41:38 +0000
Subject: Fix AH media Checksum link and update Cloud-base AMIs


* First F29 Atomic Host Two Week release was done
  from compose directory /compose/twoweek/ instead of
  compose/updates/. Adjusted Checksum links accordingly
* Fedmsg for Fedora 29 Cloud-base AMIs for us-east-2
  and eu-west-3 regions were missing and hence added
  manually AMI IDs

Signed-off-by: Sinny Kumari <sinny@redhat.com>

---

diff --git a/alt.fedoraproject.org/build/fedimg_vars.py b/alt.fedoraproject.org/build/fedimg_vars.py
index 59aa839..8a66ce7 100755
--- a/alt.fedoraproject.org/build/fedimg_vars.py
+++ b/alt.fedoraproject.org/build/fedimg_vars.py
@@ -91,10 +91,10 @@ def collect(release):
     # Hardcode AMIs for regions eu-west-3 and us-east-2 for F28 cloud-base
     # This is because fedmsg topic 'org.fedoraproject.prod.fedimg.image.upload'
     # doesn't have AMI information for these two regions.
-    results['HVM_base_AMI']['us-east-2'] = 'ami-8d3b09e8'
-    results['HVM_base_AMI']['eu-west-3'] = 'ami-fdcc7d80'
-    results['GP2_HVM_base_AMI']['us-east-2'] = 'ami-013b0964'
-    results['GP2_HVM_base_AMI']['eu-west-3'] = 'ami-a5cc7dd8'
+    results['HVM_base_AMI']['us-east-2'] = 'ami-0f7e779f5a384f9fc'
+    results['HVM_base_AMI']['eu-west-3'] = 'ami-0ee503641c4f61ba6'
+    results['GP2_HVM_base_AMI']['us-east-2'] = 'ami-0244a68a8bc141ff6'
+    results['GP2_HVM_base_AMI']['eu-west-3'] = 'ami-05f312c1e92fda9cd'
 
     shelf['timestamp'] = datetime.utcnow()
     shelf['collected'] = results
diff --git a/getfedora.org/data/content/verify.html b/getfedora.org/data/content/verify.html
index ee95011..85c6c14 100644
--- a/getfedora.org/data/content/verify.html
+++ b/getfedora.org/data/content/verify.html
@@ -71,9 +71,9 @@
               <div class="btn btn-default btn-topmargin btn-verify btn-checksum">
                 ${_('For Atomic Host ISOs')}
                 <div>
-                <a href="${global_variables.path['download_atomic']}/stable/Fedora-${global_variables.release['curr_atomic_id']}-updates-${global_variables.release['atomic_composedate']}/AtomicHost/x86_64/iso/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-x86_64-CHECKSUM" style="display:inline;">${_('x86_64')}</a> |
-                <a href="${global_variables.path['download_atomic']}/stable/Fedora-${global_variables.release['curr_atomic_id']}-updates-${global_variables.release['atomic_composedate']}/AtomicHost/aarch64/iso/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-aarch64-CHECKSUM" style="display:inline;">${_('aarch64')}</a> |
-                <a href="${global_variables.path['download_atomic']}/stable/Fedora-${global_variables.release['curr_atomic_id']}-updates-${global_variables.release['atomic_composedate']}/AtomicHost/ppc64le/iso/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-ppc64le-CHECKSUM" style="display:inline;">${_('ppc64le')}</a>
+                <a href="${global_variables.path['download_atomic']}/stable/Fedora-Atomic-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}/AtomicHost/x86_64/iso/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-x86_64-CHECKSUM" style="display:inline;">${_('x86_64')}</a> |
+                <a href="${global_variables.path['download_atomic']}/stable/Fedora-Atomic-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}/AtomicHost/aarch64/iso/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-aarch64-CHECKSUM" style="display:inline;">${_('aarch64')}</a> |
+                <a href="${global_variables.path['download_atomic']}/stable/Fedora-Atomic-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}/AtomicHost/ppc64le/iso/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-ppc64le-CHECKSUM" style="display:inline;">${_('ppc64le')}</a>
                 </div>
               </div>
             </div>
@@ -82,9 +82,9 @@
                 ${_('For Atomic Host images')}
                 
                 <div>
-                  <a href="${global_variables.path['download_atomic']}/stable/Fedora-${global_variables.release['curr_atomic_id']}-updates-${global_variables.release['atomic_composedate']}/AtomicHost/x86_64/images/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-x86_64-CHECKSUM" style="display:inline;">${_('x86_64')}</a> |
-                  <a href="${global_variables.path['download_atomic']}/stable/Fedora-${global_variables.release['curr_atomic_id']}-updates-${global_variables.release['atomic_composedate']}/AtomicHost/aarch64/images/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-aarch64-CHECKSUM" style="display:inline;">${_('aarch64')}</a> |
-                   <a href="${global_variables.path['download_atomic']}/stable/Fedora-${global_variables.release['curr_atomic_id']}-updates-${global_variables.release['atomic_composedate']}/AtomicHost/ppc64le/images/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-ppc64le-CHECKSUM" style="display:inline;">${_('ppc64le')}</a>
+                  <a href="${global_variables.path['download_atomic']}/stable/Fedora-Atomic-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}/AtomicHost/x86_64/images/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-x86_64-CHECKSUM" style="display:inline;">${_('x86_64')}</a> |
+                  <a href="${global_variables.path['download_atomic']}/stable/Fedora-Atomic-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}/AtomicHost/aarch64/images/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-aarch64-CHECKSUM" style="display:inline;">${_('aarch64')}</a> |
+                   <a href="${global_variables.path['download_atomic']}/stable/Fedora-Atomic-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}/AtomicHost/ppc64le/images/Fedora-AtomicHost-${global_variables.release['curr_atomic_id']}-${global_variables.release['atomic_composedate']}-ppc64le-CHECKSUM" style="display:inline;">${_('ppc64le')}</a>
                 </div>
               </div>
             </div>
diff --git a/getfedora.org/static/js/checksum.js b/getfedora.org/static/js/checksum.js
index df96377..d2b42ea 100644
--- a/getfedora.org/static/js/checksum.js
+++ b/getfedora.org/static/js/checksum.js
@@ -1,7 +1,7 @@
 var dir_path = '../../static/checksums/';
 var dock_path = 'https://dl.fedoraproject.org/pub/alt/atomic/stable/Fedora-Atomic-' + curr_atomic_id + '-' + atomic_composedate + '.0/Container/x86_64/images/';
-var atom_path = 'https://dl.fedoraproject.org/pub/alt/atomic/stable/Fedora-' + curr_atomic_id + '-updates-' + atomic_composedate + '.0/AtomicHost/';
-var iso_path = 'https://dl.fedoraproject.org/pub/alt/atomic/stable/Fedora-' + curr_atomic_id + '-updates-' + atomic_composedate + '.0/AtomicHost/';
+var atom_path = 'https://dl.fedoraproject.org/pub/alt/atomic/stable/Fedora-Atomic-' + curr_atomic_id + '-' + atomic_composedate + '/AtomicHost/';
+var iso_path = 'https://dl.fedoraproject.org/pub/alt/atomic/stable/Fedora-Atomic-' + curr_atomic_id + '-' + atomic_composedate + '/AtomicHost/';
 
 var checksums = [];
 // Generate dynamic checksum paths
@@ -15,17 +15,17 @@ checksums['Fedora-Server-netinst-aarch64-' + curr_server_id + '-' + RC_server_go
 checksums['Fedora-Server-dvd-aarch64-' + curr_server_id + '-' + RC_server_gold + '.iso'] = dir_path + 'Fedora-Server-' + curr_server_id + '-' + RC_server_gold + '-aarch64-CHECKSUM';
 checksums['Fedora-Server-' + curr_server_id + '-' + RC_server_gold + '.aarch64.raw.xz'] = dir_path + 'Fedora-Server-disk-' + curr_server_id + '-' + RC_server_gold + '-aarch64-CHECKSUM';
 checksums['Fedora-Container-Base-' + curr_id + '-' + RC_gold + '.x86_64.tar.xz'] = dir_path + 'Fedora-Container-' + curr_id + '-' + RC_gold + '-x86_64-CHECKSUM';
-checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0.aarch64.qcow2'] = atom_path + 'aarch64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-aarch64-CHECKSUM';
-checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0.ppc64le.qcow2'] = atom_path + 'ppc64le/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-ppc64le-CHECKSUM';
-checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0.x86_64.qcow2'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-x86_64-CHECKSUM';
-checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0.aarch64.raw.xz'] = atom_path + 'aarch64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-aarch64-CHECKSUM';
-checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0.ppc64le.raw.xz'] = atom_path + 'ppc64le/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-ppc64le-CHECKSUM';
-checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0.x86_64.raw.xz'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-x86_64-CHECKSUM';
-checksums['Fedora-AtomicHost-Vagrant-' + curr_atomic_id + '-' + atomic_composedate + '.0.x86_64.vagrant-libvirt.box'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-x86_64-CHECKSUM';
-checksums['Fedora-AtomicHost-Vagrant-' + curr_atomic_id + '-' + atomic_composedate + '.0.x86_64.vagrant-virtualbox.box'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-x86_64-CHECKSUM';
-checksums['Fedora-AtomicHost-ostree-aarch64-' + curr_atomic_id + '-' + atomic_composedate + '.0.iso'] = iso_path + 'aarch64/iso/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-aarch64-CHECKSUM';
-checksums['Fedora-AtomicHost-ostree-ppc64le-' + curr_atomic_id + '-' + atomic_composedate + '.0.iso'] = iso_path + 'ppc64le/iso/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-ppc64le-CHECKSUM';
-checksums['Fedora-AtomicHost-ostree-x86_64-' + curr_atomic_id + '-' + atomic_composedate + '.0.iso'] = iso_path + 'x86_64/iso/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.0-x86_64-CHECKSUM';
+checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.aarch64.qcow2'] = atom_path + 'aarch64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-aarch64-CHECKSUM';
+checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.ppc64le.qcow2'] = atom_path + 'ppc64le/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-ppc64le-CHECKSUM';
+checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.x86_64.qcow2'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-x86_64-CHECKSUM';
+checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.aarch64.raw.xz'] = atom_path + 'aarch64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-aarch64-CHECKSUM';
+checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.ppc64le.raw.xz'] = atom_path + 'ppc64le/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-ppc64le-CHECKSUM';
+checksums['Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '.x86_64.raw.xz'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-x86_64-CHECKSUM';
+checksums['Fedora-AtomicHost-Vagrant-' + curr_atomic_id + '-' + atomic_composedate + '.x86_64.vagrant-libvirt.box'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-x86_64-CHECKSUM';
+checksums['Fedora-AtomicHost-Vagrant-' + curr_atomic_id + '-' + atomic_composedate + '.x86_64.vagrant-virtualbox.box'] = atom_path + 'x86_64/images/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-x86_64-CHECKSUM';
+checksums['Fedora-AtomicHost-ostree-aarch64-' + curr_atomic_id + '-' + atomic_composedate + '.iso'] = iso_path + 'aarch64/iso/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-aarch64-CHECKSUM';
+checksums['Fedora-AtomicHost-ostree-ppc64le-' + curr_atomic_id + '-' + atomic_composedate + '.iso'] = iso_path + 'ppc64le/iso/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-ppc64le-CHECKSUM';
+checksums['Fedora-AtomicHost-ostree-x86_64-' + curr_atomic_id + '-' + atomic_composedate + '.iso'] = iso_path + 'x86_64/iso/Fedora-AtomicHost-' + curr_atomic_id + '-' + atomic_composedate + '-x86_64-CHECKSUM';
 checksums['Fedora-AtomicWorkstation-ostree-x86_64-' + curr_id + '-' + RC_gold + '.iso'] = dir_path + 'Fedora-AtomicWorkstation-' + curr_id + '-' + RC_gold + '-x86_64-CHECKSUM';
 
 

